#!/usr/bin/python3
import os
import sys
import apt_pkg
import apt

def get_package_version(packagename):
    cache = apt.Cache()
    if packagename in cache:
        pkg = cache[packagename]
        return pkg.installed.version
    else:
        return ''
    
def compare_package_version(v1,v2):
    return apt_pkg.version_compare(v1,v2)

if __name__ == "__main__":
    ret = 0
    packagename = ''
    packageversion = ''
    if(len(sys.argv)<3):
        print("not enough args",sys.argv)
        exit(0)
    packagename = sys.argv[1]
    try:
        packageversion = get_package_version(packagename)
        res = compare_package_version(packageversion,sys.argv[2])
        if res >= 0:
            ret = 1              
    except Exception as e:
        print(e)
    print(ret)